%define _requires_exceptions perl(FusionInventory::.*)
%define _provides_exceptions perl(FusionInventory::.*)

Name:		fusioninventory-agent-plugin-deploy
Version:	2.0.0
Release:	%mkrel 1
Summary:	Software deployment support for FusionInventory agent
License:	GPL
Group:		System/Servers
URL:		http://fusioninventory.org/wordpress/
Source0:	http://search.cpan.org/CPAN/authors/id/F/FU/FUSINV/FusionInventory-Agent-Task-Deploy-%{version}.tar.gz
Obsoletes:      fusioninventory-agent-plugin-ocsdeploy
Requires:       fusioninventory-agent
BuildRequires:  fusioninventory-agent
BuildArch:      noarch

%description
With this plugin, the agent can perform software deployment on its host.

%prep
%setup -q -n FusionInventory-Agent-Task-Deploy-%{version}

%build
%__perl Makefile.PL PREFIX=%{_prefix}
%make

%install
rm -rf  %{buildroot}
%makeinstall_std

%files
%doc Changes README LICENSE
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Deploy.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Deploy
%{_mandir}/man3/*


%changelog

* Mon Apr 09 2012 guillomovitch <guillomovitch> 2.0.0-1.mga2
+ Revision: 229938
- 2.0.0 final
- obsoletes old ocsdeploy plugin

* Tue Mar 06 2012 guillomovitch <guillomovitch> 1.0.9901-1.mga2
+ Revision: 220571
- imported package fusioninventory-agent-plugin-deploy

